summaryrefslogtreecommitdiffstats
path: root/jjb/csit/include-raw-csit-hc2vpp-verify-perf.sh
diff options
context:
space:
mode:
authorselias <samelias@cisco.com>2017-06-06 12:57:29 +0200
committerselias <samelias@cisco.com>2017-06-06 14:28:02 +0200
commitfdd0e07eff1b3717266f047c85a29a6c21c55ca5 (patch)
tree5296be5c9db45652be72957861e40e9b9c0091dc /jjb/csit/include-raw-csit-hc2vpp-verify-perf.sh
parent97ca62b8792ef55455ffc1af804333fbbe3d44e2 (diff)
Add CSIT verify jobs for Honeycomb tests
Add jobs that verify changes to CSIT code that tests Honeycomb/hc2vpp. Rename jjb/hc2vpp/csit-hc2vpp.yaml to jjb/hc2vpp/hc2vpp-csit.yaml ,to adhere to naming conventions and avoid duplicate filenames. Honeycomb jobs after patch: csit-hc2vpp-verify-* - verify CSIT commits hc2vpp-csit-verify-* - verify HC2VPP commits hc2vpp-csit-integration-* - check integration on VPP or HC2VPP merge Change-Id: Ib4be7f3c1482cf6c9d1ac8147e18d8d94832bbe0 Signed-off-by: selias <samelias@cisco.com>
Diffstat (limited to 'jjb/csit/include-raw-csit-hc2vpp-verify-perf.sh')
-rw-r--r--jjb/csit/include-raw-csit-hc2vpp-verify-perf.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/jjb/csit/include-raw-csit-hc2vpp-verify-perf.sh b/jjb/csit/include-raw-csit-hc2vpp-verify-perf.sh
new file mode 100644
index 000000000..d9a5fb1f4
--- /dev/null
+++ b/jjb/csit/include-raw-csit-hc2vpp-verify-perf.sh
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+# execute csit bootstrap script if it exists
+if [ ! -e bootstrap-hc2vpp-perf.sh ]
+then
+ echo 'ERROR: No bootstrap-hc2vpp-perf.sh found'
+ exit 1
+else
+ # make sure that bootstrap.sh is executable
+ chmod +x bootstrap-hc2vpp-perf.sh
+ # run the script
+ if [ ${STREAM} == 'master' ]; then
+ ./bootstrap-hc2vpp-perf.sh ${STREAM} ${OS}
+ else
+ ./bootstrap-hc2vpp-perf.sh 'stable.'${STREAM} ${OS}
+ fi
+fi
+
+# vim: ts=4 ts=4 sts=4 et :